# adacursesw6\-config 1 2024-04-20 ncurses 6.5 User commands

    adacursesw6-config(1)            User commands           adacursesw6-config(1)

## NAME

           adacursesw6-config - configuration helper for AdaCurses libraries

## SYNOPSIS

           adacursesw6-config [--cflags] [--libs]

           adacursesw6-config --version

           adacursesw6-config --help

## DESCRIPTION

           This  program  development  aid  simplifies  the process of configuring
           applications to use the AdaCurses library binding to ncurses.

## OPTIONS

           --cflags   reports the GNAT (Ada compiler) flags needed to compile with
                      AdaCurses.

           --libs     reports the GNAT libraries needed to link with AdaCurses.

           --version  reports  the  release  and  patch  date  information  of the
                      ncurses libraries used to configure and build AdaCurses  and
                      exits successfully.

           --help     issues a usage message and exits successfully.

           Omitting options implies "--cflags --libs".

## EXAMPLES

           Consider a program using AdaCurses to write the message "Hello, world!"
           in the center of the screen and wait for the user to press the "q"  key
           before exiting.  Populate a file hello.adb with the following.

               with Terminal_Interface.Curses; use Terminal_Interface.Curses;

               procedure Hello is
                  Visibility : Cursor_Visibility := Invisible;
                  Message : constant String := "Hello, World!";
                  done : Boolean := False;
                  c : Key_Code;
               begin
                  Init_Screen;
                  Set_Echo_Mode (False);
                  Set_Cursor_Visibility (Visibility);
                  Set_Timeout_Mode (Standard_Window, Non_Blocking, 0);

                  Move_Cursor (Line => Lines / 2,
                               Column => (Columns - Message'Length) / 2);
                  Add (Str => Message);

                  while not done loop
                     c := Get_Keystroke (Standard_Window);

                     case c is
                         when Character'Pos ('q') => done := True;
                         when others => null;
                     end case;

                     Nap_Milli_Seconds (50);
                  end loop;

                  End_Windows;

               end Hello;

           Then, using
               gnatmake `adacursesw6-config --cflags` hello \
                   -largs `adacursesw6-config --libs`
           or, more simply,
               gnatmake hello `adacursesw6-config`
           you can compile and link the program.

## SEE ALSO

           curses(3x)

    ncurses 6.5                       2024-04-20             adacursesw6-config(1)